Manage accounts payable records.
Operations
getVendorSelectFields
Returns selected fields for a vendor.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getVendorSelectFieldsPOST /nexum/627/persistent/accountspayable/getVendorSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SelectableFields": {
"IncludeAllVendorFields": false,
"VendorFields": {
"Number": true,
"Name": true,
"Payee": true,
"Street": true,
"City": true,
"State": true,
"ZipCode": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getVendorSelectFieldsFilterChildren
Retrieves a vendor with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getVendorSelectFieldsFilterChildrenPOST /nexum/627/persistent/accountspayable/getVendorSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SelectableFields": {
"IncludeAllVendorFields": true
},
"ChildrenSearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceSelectFields
Returns selected fields for an invoice.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getInvoiceSelectFieldsPOST /nexum/627/persistent/accountspayable/getInvoiceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"SelectableFields": {
"IncludeAllInvoiceFields": false,
"InvoiceFields": {
"Locator": true,
"Number": true,
"Description": true,
"InvoiceDate": true,
"DueDateFinal": true,
"TotalInvoiceAmtDue": true,
"Type": true,
"Status": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceSelectFieldsFilterChildren
Retrieves an invoice with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/accountspayable/getInvoiceSelectFieldsFilterChildrenPOST /nexum/627/persistent/accountspayable/getInvoiceSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"SelectableFields": {
"IncludeAllInvoiceFields": true
},
"ChildrenSearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoicePagedListSelectFields
Returns a page of invoice selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/getInvoicePagedListSelectFieldsPOST /nexum/627/persistent/accountspayable/getInvoicePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllInvoiceFields": false,
"InvoiceFields": {
"Locator": true,
"Number": true,
"Description": true,
"TotalInvoiceAmtDue": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchInvoicePagedSelectFields
Searches invoices and returns selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/accountspayable/searchInvoicePagedSelectFieldsPOST /nexum/627/persistent/accountspayable/searchInvoicePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"SearchFilter": {
"Query": "string"
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllInvoiceFields": false,
"InvoiceFields": {
"Locator": true,
"Number": true,
"Description": true,
"TotalInvoiceAmtDue": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}